Oracle Coherence for C++ API
Release 3.6.0.0
E15728-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ConverterCollections::ConverterCacheEvent Class Reference

`#include <coherence/util/ConverterCollections.hpp>`

Inherits CacheEvent.

List of all members.

## Detailed Description

A Converter CacheEvent views an underlying CacheEvent through a set of key and value Converters.

## Public Types
typedef spec::Handle | Handle
| ConverterCacheEvent Handle definition.
typedef spec::View | View
| ConverterCacheEvent View definition.
typedef spec::Holder | Holder
| ConverterCacheEvent Holder definition.
## Public Member Functions
virtual Object::View | getKey () const
| Return a key associated with this event. Returns: a key
virtual Object::View | getOldValue () const
| Return an old value associated with this event. The old value represents a value deleted from or updated in a map. It is always NULL for "insert" notifications. Returns: an old value
virtual Object::View | getNewValue () const
| Return a new value associated with this event. The new value represents a new value inserted into or updated in a map. It is always NULL for "delete" notifications. Returns: a new value
virtual CacheEvent::View | getCacheEvent () const
| Return the underlying CacheEvent.
virtual Converter::View | getConverterKeyUp () const
| Return the Converter used to view the underlying CacheEvent's key through.
virtual Converter::View | getConverterValueUp () const
| Return the Converter used to view the underlying CacheEvent's value through.
virtual void | setOldValue (Object::View voValue)
| Set the cached converted old value associated with this event.
virtual void | setNewValue (Object::View voValue)
| Set the cached converted new value associated with this event.
## Protected Member Functions
| ConverterCacheEvent (ObservableMap::Handle hMap, CacheEvent::View vEvent, Converter::View vConvKey, Converter::View vConvVal)
| Create a ConverterCacheEvent.
## Protected Attributes
MemberView< CacheEvent > | m_vEvent
| The underlying CacheEvent.
MemberView< Converter > | m_vConvKey
| The Converter to view the underlying CacheEvent's key.
MemberView< Converter > | m_vConvVal
| The Converter to view the underlying CacheEvent's value.

## Constructor & Destructor Documentation

ConverterCacheEvent | ( | ObservableMap::Handle | hMap,
|  | CacheEvent::View | vEvent,
|  | Converter::View | vConvKey,
|  | Converter::View | vConvVal |
| ) |  |  | `[protected]`

Create a ConverterCacheEvent.

Parameters:

  | hMap | the new event's source
  | vEvent | the underlying CacheEvent
  | vConvKey | the Converter to view the underlying CacheEvent's key
  | vConvVal | the Converter to view the underlying CacheEvent's values

## Member Function Documentation

virtual CacheEvent::View getCacheEvent | ( |  | ) | const `[virtual]`

Return the underlying CacheEvent.

Returns:
  the underlying CacheEvent

virtual Converter::View getConverterKeyUp | ( |  | ) | const `[virtual]`

Return the Converter used to view the underlying CacheEvent's key through.

Returns:
  the Converter from the underlying CacheEvent's key

virtual Converter::View getConverterValueUp | ( |  | ) | const `[virtual]`

Return the Converter used to view the underlying CacheEvent's value through.

Returns:
  the Converter from the underlying CacheEvent's value

virtual void setOldValue | ( | Object::View | voValue | ) | `[virtual]`

Set the cached converted old value associated with this event.

Parameters:

  | voValue | the new converted "old" value

virtual void setNewValue | ( | Object::View | voValue | ) | `[virtual]`

Set the cached converted new value associated with this event.

Parameters:

  | voValue | the new converted "new" value

The documentation for this class was generated from the following file:

- coherence/util/ConverterCollections.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.